Loading...
Searching...
No Matches
pcl::Vertices Struct Reference

Describes a set of vertices in a polygon mesh, by basically storing an array of indices. More...

`#include <pcl/Vertices.h>`

## Public Types

using | Ptr = shared_ptr<Vertices>
using | ConstPtr = shared_ptr<const Vertices>

## Public Member Functions

| Vertices ()=default

## Public Attributes

Indices | vertices

## Detailed Description

Describes a set of vertices in a polygon mesh, by basically storing an array of indices.

Definition at line 14 of file Vertices.h.

## Member Typedef Documentation

## ConstPtr

using pcl::Vertices::ConstPtr = shared_ptr<const Vertices>

Definition at line 22 of file Vertices.h.

## Ptr

using pcl::Vertices::Ptr = shared_ptr<Vertices>

Definition at line 21 of file Vertices.h.

## Constructor & Destructor Documentation

## Vertices()

pcl::Vertices::Vertices | ( |  | ) |

default

## Member Data Documentation

## vertices

Indices pcl::Vertices::vertices

Definition at line 18 of file Vertices.h.

Referenced by pcl::gpu::kinfuLS::StandaloneMarchingCubes< PointT >::convertTrianglesToMesh(), pcl::ConcaveHull< PointInT >::performReconstruction(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::Poisson< PointNT >::performReconstruction(), pcl::Poisson< PointNT >::performReconstruction(), pcl::GridProjection< PointNT >::reconstructPolygons(), and pcl::geometry::toFaceVertexMesh().

The documentation for this struct was generated from the following file:

- pcl/Vertices.h